{% extends "wafer/base.html" %}
{% load i18n %}
{% block title %}{% trans "Schedule" %} - {{ WAFER_CONFERENCE_NAME }}{% endblock %}
{% block content %}
<section class="wafer wafer-schedule">
  <h1>
    {% trans "Schedule" %}
    {% if user.is_authenticated and user.is_staff %}
      <div class="float-right">
        <a class="btn btn-secondary"
            href="{% url 'admin:schedule_editor' %}">
          Edit schedule
        </a>
      </div>
    {% endif %}
  </h1>
  <div class="wafer_schedule">
    {% if not schedule_days %}
      {# Schedule is incomplete / invalid, so show nothing #}
      {% blocktrans %}
        <p>The final schedule has not been published yet.</p>
      {% endblocktrans %}
    {% else %}
      {% for schedule_day in schedule_days %}
        <table cellspacing=1 cellpadding=0>
          {# We assume that the admin has created a valid timetable #}
          <tr>
            <td colspan="{{ schedule_day.venues|length|add:1 }}" class="title">{{ schedule_day.day.date|date:"l (d b)" }}</td>
          </tr>
          <tr>
            <th>{% trans "Time" %}</th>
            {% for venue in schedule_day.venues %}
              <th><a href="{{ venue.get_absolute_url }}">{{ venue.name }}</a></th>
            {% endfor %}
          </tr>
          {% for row in schedule_day.rows %}
            <tr>
              <td class="scheduleslot">
                    {% if row.slot.get_duration.hours != 0 or row.slot.get_duration.minutes > 15 %}
                    {{ row.slot.get_start_time|time:"H:i" }} - {{ row.slot.end_time|time:"H:i" }}
                    {% endif %}
              </td>
              {% for item in row.get_sorted_items %}
                {% if item.item == "unavailable" %}
                  {# Venue isn't available, so we add an empty table element with the 'unavailable' class #}
                  <td colspan="{{ item.colspan }}" rowspan="{{ item.rowspan }}" class="unavailable"></td>
                {% else %}
                  {# Add item details #}
                  <td colspan="{{ item.colspan }}" rowspan="{{ item.rowspan }}"
                      class="{{ item.item.get_css_classes|join:' ' }}">
                    {% include "wafer.schedule/schedule_item.html" with item=item.item %}
                  </td>
                {% endif %}
              {% endfor %}
            </tr>
          {% endfor %}
        </table>
      {% endfor %}
    {% endif %}
  </div>
</section>
{% endblock %}
